Package org.wso2.carbon.viewflows.stub

## Class FlowsAdminServiceStub

- java.lang.Object
- - org.apache.axis2.client.Stub
  - - org.wso2.carbon.viewflows.stub.FlowsAdminServiceStub

- All Implemented Interfaces:
    `FlowsAdminService`

      public class FlowsAdminServiceStub
      extends org.apache.axis2.client.Stub
      implements FlowsAdminService

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.apache.axis2.description.AxisOperation[]` | `_operations` |

    - ### Fields inherited from class org.apache.axis2.client.Stub

      `_service, _serviceClient, modules`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlowsAdminServiceStub()` | Default Constructor
    `FlowsAdminServiceStub​(String targetEndpoint)` | Constructor taking the target endpoint
    `FlowsAdminServiceStub​(org.apache.axis2.context.ConfigurationContext configurationContext)` | Default Constructor
    `FlowsAdminServiceStub​(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint)` | Constructor that takes in a configContext
    `FlowsAdminServiceStub​(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint, boolean useSeparateListener)` | Constructor that takes in a configContext and useseperate listner

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AxisConfigData` | `getAxisConfigData()` | Auto generated method signature
    `Object` | `getHandlerNamesForPhase​(String flow24, String phase25)` | Auto generated method signature
    `AxisConfigData` | `getOperationAxisConfigData​(String serviceId16, String operationId17)` | Auto generated method signature
    `void` | `startgetAxisConfigData​(FlowsAdminServiceCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetHandlerNamesForPhase​(String flow24, String phase25, FlowsAdminServiceCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetOperationAxisConfigData​(String serviceId16, String operationId17, FlowsAdminServiceCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations

    - ### Methods inherited from class org.apache.axis2.client.Stub

      `_getServiceClient, _setServiceClient, addAnonymousOperations, addHeader, addHeader, addHttpHeader, addPropertyToOperationClient, addPropertyToOperationClient, addPropertyToOperationClient, cleanup, createEnvelope, finalize, getFactory, setMustUnderstand, setServiceClientEPR`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _operations

          protected org.apache.axis2.description.AxisOperation[] _operations

  - ### Constructor Detail

    - #### FlowsAdminServiceStub

          public FlowsAdminServiceStub​(org.apache.axis2.context.ConfigurationContext configurationContext,
                                       String targetEndpoint)
                                throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext
      Throws:
        `org.apache.axis2.AxisFault`

    - #### FlowsAdminServiceStub

          public FlowsAdminServiceStub​(org.apache.axis2.context.ConfigurationContext configurationContext,
                                       String targetEndpoint,
                                       boolean useSeparateListener)
                                throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext and useseperate listner
      Throws:
        `org.apache.axis2.AxisFault`

    - #### FlowsAdminServiceStub

          public FlowsAdminServiceStub​(org.apache.axis2.context.ConfigurationContext configurationContext)
                                throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### FlowsAdminServiceStub

          public FlowsAdminServiceStub()
                                throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### FlowsAdminServiceStub

          public FlowsAdminServiceStub​(String targetEndpoint)
                                throws org.apache.axis2.AxisFault

      Constructor taking the target endpoint
      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### getOperationAxisConfigData

          public AxisConfigData getOperationAxisConfigData​(String serviceId16,
                                                           String operationId17)
                                                    throws RemoteException

      Auto generated method signature
      Specified by:
        `getOperationAxisConfigData` in interface `FlowsAdminService`
      Parameters:
        `getOperationAxisConfigData15` -
      Throws:
        `RemoteException`
      See Also:
        `FlowsAdminService.getOperationAxisConfigData(java.lang.String, java.lang.String)`

    - #### startgetOperationAxisConfigData

          public void startgetOperationAxisConfigData​(String serviceId16,
                                                      String operationId17,
                                                      FlowsAdminServiceCallbackHandler callback)
                                               throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetOperationAxisConfigData` in interface `FlowsAdminService`
      Parameters:
        `getOperationAxisConfigData15` -
      Throws:
        `RemoteException`
      See Also:
        `FlowsAdminService.startgetOperationAxisConfigData(java.lang.String, java.lang.String, org.wso2.carbon.viewflows.stub.FlowsAdminServiceCallbackHandler)`

    - #### getAxisConfigData

          public AxisConfigData getAxisConfigData()
                                           throws RemoteException

      Auto generated method signature
      Specified by:
        `getAxisConfigData` in interface `FlowsAdminService`
      Parameters:
        `getAxisConfigData20` -
      Throws:
        `RemoteException`
      See Also:
        `FlowsAdminService.getAxisConfigData()`

    - #### startgetAxisConfigData

          public void startgetAxisConfigData​(FlowsAdminServiceCallbackHandler callback)
                                      throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetAxisConfigData` in interface `FlowsAdminService`
      Parameters:
        `getAxisConfigData20` -
      Throws:
        `RemoteException`
      See Also:
        `FlowsAdminService.startgetAxisConfigData(org.wso2.carbon.viewflows.stub.FlowsAdminServiceCallbackHandler)`

    - #### getHandlerNamesForPhase

          public Object getHandlerNamesForPhase​(String flow24,
                                                String phase25)
                                         throws RemoteException

      Auto generated method signature
      Specified by:
        `getHandlerNamesForPhase` in interface `FlowsAdminService`
      Parameters:
        `getHandlerNamesForPhase23` -
      Throws:
        `RemoteException`
      See Also:
        `FlowsAdminService.getHandlerNamesForPhase(java.lang.String, java.lang.String)`

    - #### startgetHandlerNamesForPhase

          public void startgetHandlerNamesForPhase​(String flow24,
                                                   String phase25,
                                                   FlowsAdminServiceCallbackHandler callback)
                                            throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetHandlerNamesForPhase` in interface `FlowsAdminService`
      Parameters:
        `getHandlerNamesForPhase23` -
      Throws:
        `RemoteException`
      See Also:
        `FlowsAdminService.startgetHandlerNamesForPhase(java.lang.String, java.lang.String, org.wso2.carbon.viewflows.stub.FlowsAdminServiceCallbackHandler)`